Crea prodotto
Crea un prodotto. Richiede una chiave Write.
POST
/productsAutorizzazione
AutorizzazioneToken Bearer (API key) · headerobbligatorioChiave API dell'organizzazione.
Corpo della richiesta
obbligatorioapplication/jsonnamestringobbligatoriopricenumberobbligatorioPrezzo in centesimi
taxCategorystringobbligatorioConsentiti:
8.12.63.80supplierstringcategorystringdeclarationsstringbarcodestringNormalizzato in minuscolo; se vuoto diventa l'id del documento
barcodeAliasesobject[]Optional additional EANs. Omit when unused. Available when the barcode aliases feature is enabled for the organization.
Mostra proprietàNascondi proprietà
Array of
objectcodestringobbligatorioquantitynumberpriceintegerOptional pack price in cents
labelstringexternalIdstringOptional external article ID
externalIdstringdepositProductnumberCauzione in centesimi
depositProductLabelstringdescriptionstringsalePricenumbersalePercentagenumbersalePriceDateFromstring<date-time>salePriceDateTostring<date-time>costPricenumbermarginnumbershowOnScreenbooleanageRestrictionbooleanshowOnScalebooleansaleStopbooleandeactivatedbooleanimageUrlstringImage URL. Empty string clears the field and deletes the stored asset when it belongs to this organization (same as DELETE /products/{productId}/image).
indexnumberRisposte
200Prodotto creato
successbooleanobbligatorioidstringobbligatorio400Richiesta non valida
statusCodeintegerobbligatorioCodice di stato HTTP
messagestringobbligatorioMessaggio di errore leggibile
timestampstring<date-time>obbligatoriopathstringobbligatorioPercorso della richiesta
403Non autorizzato
statusCodeintegerobbligatorioCodice di stato HTTP
messagestringobbligatorioMessaggio di errore leggibile
timestampstring<date-time>obbligatoriopathstringobbligatorioPercorso della richiesta
Richiesta
curl -X POST "https://dashboard.scango.ch/api/v1/products" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"price": 0,
"taxCategory": "8.1",
"supplier": "string",
"category": "string",
"declarations": "string",
"barcode": "string",
"barcodeAliases": [
{
"code": "string",
"quantity": 0,
"price": 0,
"label": "string",
"externalId": "string"
}
],
"externalId": "string",
"depositProduct": 0,
"depositProductLabel": "string",
"description": "string",
"salePrice": 0,
"salePercentage": 0,
"salePriceDateFrom": "2019-08-24T14:15:22Z",
"salePriceDateTo": "2019-08-24T14:15:22Z",
"costPrice": 0,
"margin": 0,
"showOnScreen": true,
"ageRestriction": true,
"showOnScale": true,
"saleStop": true,
"deactivated": true,
"imageUrl": "string",
"index": 0
}'const response = await fetch("https://dashboard.scango.ch/api/v1/products", {
method: "POST",
headers: {
"Autorizzazione": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"name": "string",
"price": 0,
"taxCategory": "8.1",
"supplier": "string",
"category": "string",
"declarations": "string",
"barcode": "string",
"barcodeAliases": [
{
"code": "string",
"quantity": 0,
"price": 0,
"label": "string",
"externalId": "string"
}
],
"externalId": "string",
"depositProduct": 0,
"depositProductLabel": "string",
"description": "string",
"salePrice": 0,
"salePercentage": 0,
"salePriceDateFrom": "2019-08-24T14:15:22Z",
"salePriceDateTo": "2019-08-24T14:15:22Z",
"costPrice": 0,
"margin": 0,
"showOnScreen": true,
"ageRestriction": true,
"showOnScale": true,
"saleStop": true,
"deactivated": true,
"imageUrl": "string",
"index": 0
})
});Risposta
{
"success": true,
"id": "string"
}{
"statusCode": 0,
"message": "string",
"timestamp": "2019-08-24T14:15:22Z",
"path": "string"
}{
"statusCode": 0,
"message": "string",
"timestamp": "2019-08-24T14:15:22Z",
"path": "string"
}